Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xslt
Class UnImplNode

    java.lang.Object
      |
      +--weblogic.apache.xalan.xslt.UnImplNode

Direct Known Subclasses:
  ElemTemplateElement, ResultTreeFrag, Stylesheet

public class UnImplNode
extends java.lang.Object
implements org.w3c.dom.Element, org.w3c.dom.NodeList

To be subclassed by classes that wish to fake being nodes.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`UnImplNode()`

Method Summary
`org.w3c.dom.Node` | `appendChild(org.w3c.dom.Node newChild)` Unimplemented.
`org.w3c.dom.Node` | `cloneNode(boolean deep)` Unimplemented.
`java.lang.String` | `getAttribute(java.lang.String name)` Unimplemented.
`org.w3c.dom.Attr` | `getAttributeNode(java.lang.String name)`
`org.w3c.dom.Attr` | `getAttributeNodeNS(java.lang.String namespaceURI, java.lang.String localName)` Unimplemented.
`java.lang.String` | `getAttributeNS(java.lang.String namespaceURI, java.lang.String localName)` Unimplemented.
`org.w3c.dom.NamedNodeMap` | `getAttributes()` Unimplemented.
`org.w3c.dom.NodeList` | `getChildNodes()` Unimplemented.
`org.w3c.dom.NodeList` | `getElementsByTagName(java.lang.String name)` Unimplemented.
`org.w3c.dom.NodeList` | `getElementsByTagNameNS(java.lang.String namespaceURI, java.lang.String localName)` Unimplemented.
`org.w3c.dom.Node` | `getFirstChild()` Unimplemented.
`org.w3c.dom.Node` | `getLastChild()` Unimplemented.
`int` | `getLength()` Unimplemented.
`java.lang.String` | `getLocalName()` Unimplemented.
`java.lang.String` | `getNamespaceURI()` Unimplemented.
`org.w3c.dom.Node` | `getNextSibling()` Unimplemented.
`java.lang.String` | `getNodeName()` Unimplemented.
`short` | `getNodeType()` Unimplemented.
`java.lang.String` | `getNodeValue()` Unimplemented.
`org.w3c.dom.Document` | `getOwnerDocument()` Unimplemented.
`org.w3c.dom.Node` | `getParentNode()` Unimplemented.
`java.lang.String` | `getPrefix()` Unimplemented.
`org.w3c.dom.Node` | `getPreviousSibling()` Unimplemented.
`java.lang.String` | `getTagName()` Unimplemented.
`boolean` | `hasAttribute(java.lang.String name)`
`boolean` | `hasAttributeNS(java.lang.String name, java.lang.String x)`
`boolean` | `hasAttributes()` Introduced in DOM Level 2.
`boolean` | `hasChildNodes()` Unimplemented.
`org.w3c.dom.Node` | `insertBefore(org.w3c.dom.Node newChild, org.w3c.dom.Node refChild)` Unimplemented.
`org.w3c.dom.Node` | `item(int index)` Unimplemented.
`void` | `normalize()` Unimplemented.
`void` | `removeAttribute(java.lang.String name)` Unimplemented.
`org.w3c.dom.Attr` | `removeAttributeNode(org.w3c.dom.Attr oldAttr)` Unimplemented.
`void` | `removeAttributeNS(java.lang.String namespaceURI, java.lang.String localName)` Unimplemented.
`org.w3c.dom.Node` | `removeChild(org.w3c.dom.Node oldChild)` Unimplemented.
`org.w3c.dom.Node` | `replaceChild(org.w3c.dom.Node newChild, org.w3c.dom.Node oldChild)` Unimplemented.
`void` | `setAttribute(java.lang.String name, java.lang.String value)` Unimplemented.
`org.w3c.dom.Attr` | `setAttributeNode(org.w3c.dom.Attr newAttr)` Unimplemented.
`org.w3c.dom.Attr` | `setAttributeNodeNS(org.w3c.dom.Attr newAttr)` Unimplemented.
`void` | `setAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String value)` Unimplemented.
`void` | `setNodeValue(java.lang.String nodeValue)` Unimplemented.
`void` | `setPrefix(java.lang.String prefix)` Unimplemented.
`boolean` | `supports(java.lang.String feature, java.lang.String version)` Unimplemented.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnImplNode

    public UnImplNode()

Method Detail

### appendChild

    public org.w3c.dom.Node appendChild(org.w3c.dom.Node newChild)
                                 throws org.w3c.dom.DOMException

  Unimplemented.

### hasChildNodes

    public boolean hasChildNodes()

  Unimplemented.

### getNodeType

    public short getNodeType()

  Unimplemented.

### getParentNode

    public org.w3c.dom.Node getParentNode()

  Unimplemented.

### getChildNodes

    public org.w3c.dom.NodeList getChildNodes()

  Unimplemented.

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  Unimplemented.

### getLastChild

    public org.w3c.dom.Node getLastChild()

  Unimplemented.

### getNextSibling

    public org.w3c.dom.Node getNextSibling()

  Unimplemented.

### getLength

    public int getLength()

  Unimplemented.
  Specified by:
    getLength in interface org.w3c.dom.NodeList

### item

    public org.w3c.dom.Node item(int index)

  Unimplemented.
  Specified by:
    item in interface org.w3c.dom.NodeList

### getOwnerDocument

    public org.w3c.dom.Document getOwnerDocument()

  Unimplemented.

### getTagName

    public java.lang.String getTagName()

  Unimplemented.
  Specified by:
    getTagName in interface org.w3c.dom.Element

### getNodeName

    public java.lang.String getNodeName()

  Unimplemented.

### normalize

    public void normalize()

  Unimplemented.

### getElementsByTagName

    public org.w3c.dom.NodeList getElementsByTagName(java.lang.String name)

  Unimplemented.
  Specified by:
    getElementsByTagName in interface org.w3c.dom.Element

### removeAttributeNode

    public org.w3c.dom.Attr removeAttributeNode(org.w3c.dom.Attr oldAttr)
                                         throws org.w3c.dom.DOMException

  Unimplemented.
  Specified by:
    removeAttributeNode in interface org.w3c.dom.Element

### setAttributeNode

    public org.w3c.dom.Attr setAttributeNode(org.w3c.dom.Attr newAttr)
                                      throws org.w3c.dom.DOMException

  Unimplemented.
  Specified by:
    setAttributeNode in interface org.w3c.dom.Element

### getAttributeNode

    public org.w3c.dom.Attr getAttributeNode(java.lang.String name)

  Specified by:
    getAttributeNode in interface org.w3c.dom.Element

### removeAttribute

    public void removeAttribute(java.lang.String name)
                         throws org.w3c.dom.DOMException

  Unimplemented.
  Specified by:
    removeAttribute in interface org.w3c.dom.Element

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.String value)
                      throws org.w3c.dom.DOMException

  Unimplemented.
  Specified by:
    setAttribute in interface org.w3c.dom.Element

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)

  Unimplemented.
  Specified by:
    getAttribute in interface org.w3c.dom.Element

### hasAttribute

    public boolean hasAttribute(java.lang.String name)

  Specified by:
    hasAttribute in interface org.w3c.dom.Element

### hasAttributeNS

    public boolean hasAttributeNS(java.lang.String name,
                                  java.lang.String x)

  Specified by:
    hasAttributeNS in interface org.w3c.dom.Element

### hasAttributes

    public boolean hasAttributes()

  Introduced in DOM Level 2.

### getElementsByTagNameNS

    public org.w3c.dom.NodeList getElementsByTagNameNS(java.lang.String namespaceURI,
                                                       java.lang.String localName)

  Unimplemented.
  Specified by:
    getElementsByTagNameNS in interface org.w3c.dom.Element

### setAttributeNodeNS

    public org.w3c.dom.Attr setAttributeNodeNS(org.w3c.dom.Attr newAttr)
                                        throws org.w3c.dom.DOMException

  Unimplemented.
  Specified by:
    setAttributeNodeNS in interface org.w3c.dom.Element

### getAttributeNodeNS

    public org.w3c.dom.Attr getAttributeNodeNS(java.lang.String namespaceURI,
                                               java.lang.String localName)

  Unimplemented.
  Specified by:
    getAttributeNodeNS in interface org.w3c.dom.Element

### removeAttributeNS

    public void removeAttributeNS(java.lang.String namespaceURI,
                                  java.lang.String localName)
                           throws org.w3c.dom.DOMException

  Unimplemented.
  Specified by:
    removeAttributeNS in interface org.w3c.dom.Element

### setAttributeNS

    public void setAttributeNS(java.lang.String namespaceURI,
                               java.lang.String qualifiedName,
                               java.lang.String value)
                        throws org.w3c.dom.DOMException

  Unimplemented.
  Specified by:
    setAttributeNS in interface org.w3c.dom.Element

### getAttributeNS

    public java.lang.String getAttributeNS(java.lang.String namespaceURI,
                                           java.lang.String localName)

  Unimplemented.
  Specified by:
    getAttributeNS in interface org.w3c.dom.Element

### getPreviousSibling

    public org.w3c.dom.Node getPreviousSibling()

  Unimplemented.

### cloneNode

    public org.w3c.dom.Node cloneNode(boolean deep)

  Unimplemented.

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws org.w3c.dom.DOMException

  Unimplemented.

### setNodeValue

    public void setNodeValue(java.lang.String nodeValue)
                      throws org.w3c.dom.DOMException

  Unimplemented.

### getAttributes

    public org.w3c.dom.NamedNodeMap getAttributes()

  Unimplemented.

### insertBefore

    public org.w3c.dom.Node insertBefore(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node refChild)
                                  throws org.w3c.dom.DOMException

  Unimplemented.

### replaceChild

    public org.w3c.dom.Node replaceChild(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node oldChild)
                                  throws org.w3c.dom.DOMException

  Unimplemented.

### removeChild

    public org.w3c.dom.Node removeChild(org.w3c.dom.Node oldChild)
                                 throws org.w3c.dom.DOMException

  Unimplemented.

### supports

    public boolean supports(java.lang.String feature,
                            java.lang.String version)

  Unimplemented.

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Unimplemented.

### getPrefix

    public java.lang.String getPrefix()

  Unimplemented.

### setPrefix

    public void setPrefix(java.lang.String prefix)
                   throws org.w3c.dom.DOMException

  Unimplemented.

### getLocalName

    public java.lang.String getLocalName()

  Unimplemented.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD